summaryrefslogtreecommitdiff
path: root/fetch_tarballs.sh
diff options
context:
space:
mode:
authorHans-Joachim Lankenau <hjs@openoffice.org>2010-01-29 12:27:48 +0100
committerHans-Joachim Lankenau <hjs@openoffice.org>2010-01-29 12:27:48 +0100
commitaf8f74871ace8714e7a853d8ed0a2cfd9e239e84 (patch)
treea4d3da113001d5f60599f29c67a5b71a5795dcea /fetch_tarballs.sh
parent8cf0982130ea5dbc4742b6d1585331e0d7c13b21 (diff)
ause110: #i106731# md5sum check optional; return error on failed downloads
Diffstat (limited to 'fetch_tarballs.sh')
-rwxr-xr-xfetch_tarballs.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/fetch_tarballs.sh b/fetch_tarballs.sh
index 3d43214bf7a0..7f81749b7753 100755
--- a/fetch_tarballs.sh
+++ b/fetch_tarballs.sh
@@ -81,7 +81,6 @@ done
if [ -z "$md5sum" ]; then
echo "ERROR: no md5sum: found!"
- exit
fi
start_dir=`pwd`
@@ -99,7 +98,7 @@ for i in `cat $1` ; do
failed="$failed $i"
wret=0
fi
- if [ -f $i ]; then
+ if [ -f $i -a -n $md5sum ]; then
sum=`$md5sum $i | sed "s/ [ *].*//"`
sum2=`echo $i | sed "s/-.*//"`
if [ "$sum" != "$sum2" ]; then
@@ -114,5 +113,6 @@ done
if [ ! -z "$failed" ]; then
echo $failed | sed "s/ /\n/g" | sed "s/^/ERROR: failed to download: /"
+ exit 1
fi